object MainForm: TMainForm
  Left = 281
  Top = 105
  Width = 526
  Height = 370
  Caption = 'COA2'
  Color = clBtnFace
  Constraints.MinHeight = 370
  Constraints.MinWidth = 440
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  KeyPreview = True
  OldCreateOrder = False
  ShowHint = True
  OnActivate = FormActivate
  OnCloseQuery = FormCloseQuery
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnKeyUp = FormKeyUp
  PixelsPerInch = 96
  TextHeight = 13
  object TLabel
    Left = 8
    Top = 96
    Width = 56
    Height = 13
    Caption = 'Description:'
  end
  object nbMain: TNotebook
    Left = 0
    Top = 0
    Width = 518
    Height = 288
    Align = alClient
    PageIndex = 3
    TabOrder = 0
    OnMouseMove = nbMainMouseMove
    object TPage
      Left = 0
      Top = 0
      Caption = 'Main'
      object TLabel
        Left = 64
        Top = 32
        Width = 59
        Height = 13
        Caption = '&Old address:'
        FocusControl = ebOldLong
      end
      object TLabel
        Left = 64
        Top = 80
        Width = 65
        Height = 13
        Caption = '&New address:'
        FocusControl = ebNewLong
      end
      object TLabel
        Left = 64
        Top = 128
        Width = 56
        Height = 13
        Caption = 'De&scription:'
        FocusControl = ebDesc
      end
      object TLabel
        Left = 64
        Top = 176
        Width = 33
        Height = 13
        Caption = 'Status:'
      end
      object TLabel
        Left = 64
        Top = 8
        Width = 133
        Height = 13
        Caption = 'Old and new addresses'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object btnChange: TBitBtn
        Left = 405
        Top = 224
        Width = 105
        Height = 57
        Hint = 'Change old address to new in shortcuts, INI files, and Registry'
        Anchors = [akTop, akRight]
        Caption = '&Change'
        Default = True
        Enabled = False
        TabOrder = 13
        OnClick = btnChangeClick
        Layout = blGlyphRight
        Margin = 2
        NumGlyphs = 2
      end
      object btnReview: TBitBtn
        Left = 8
        Top = 224
        Width = 105
        Height = 57
        Hint = 'View previous change records and undo all or part of them'
        Caption = '&Review'
        TabOrder = 12
        OnClick = btnReviewClick
        Margin = 2
        NumGlyphs = 2
      end
      object ebOldLong: TEdit
        Left = 64
        Top = 48
        Width = 353
        Height = 21
        Hint = 'Enter the old address'
        Anchors = [akLeft, akTop, akRight]
        TabOrder = 2
        OnChange = ebOldLongChange
      end
      object btnOldFold: TBitBtn
        Left = 7
        Top = 48
        Width = 25
        Height = 25
        Hint = 'Select a folder to represent the old address'
        TabOrder = 0
        OnClick = btnOldFoldClick
        NumGlyphs = 2
        Spacing = -1
      end
      object btnOldFile: TBitBtn
        Left = 35
        Top = 48
        Width = 25
        Height = 25
        Hint = 'Select a file to represent the old address'
        TabOrder = 1
        OnClick = btnOldFileClick
        Spacing = -1
      end
      object ebNewLong: TEdit
        Left = 64
        Top = 96
        Width = 353
        Height = 21
        Hint = 'Enter the new address (must be an existing file or folder)'
        Anchors = [akLeft, akTop, akRight]
        TabOrder = 6
        OnChange = ebNewLongChange
      end
      object btnNewFold: TBitBtn
        Left = 7
        Top = 96
        Width = 25
        Height = 25
        Hint = 'Select a folder to represent the new address'
        TabOrder = 4
        OnClick = btnNewFoldClick
        NumGlyphs = 2
        Spacing = -1
      end
      object btnNewFile: TBitBtn
        Left = 35
        Top = 96
        Width = 25
        Height = 25
        Hint = 'Select a file to represent the new address'
        TabOrder = 5
        OnClick = btnNewFileClick
        Spacing = -1
      end
      object btnDesc: TBitBtn
        Left = 8
        Top = 144
        Width = 54
        Height = 25
        Hint = 'Automatically generate a description for this change'
        Caption = '&Fill'
        TabOrder = 8
        OnClick = btnDescClick
      end
      object btnUp: TBitBtn
        Left = 421
        Top = 96
        Width = 89
        Height = 25
        Hint = 'Copy the new address up to the old address'
        Anchors = [akTop, akRight]
        Caption = 'Copy &up'
        Enabled = False
        TabOrder = 7
        OnClick = btnUpClick
        Margin = 2
        NumGlyphs = 2
      end
      object btnDn: TBitBtn
        Left = 421
        Top = 48
        Width = 89
        Height = 25
        Hint = 'Copy the old address down to the new address'
        Anchors = [akTop, akRight]
        Caption = 'Copy &down'
        Enabled = False
        TabOrder = 3
        OnClick = btnDnClick
        Margin = 2
        NumGlyphs = 2
      end
      object ebDesc: TEdit
        Left = 64
        Top = 144
        Width = 449
        Height = 21
        Hint = 
          'Enter a description for this change of address, up to 128 charac' +
          'ters'
        Anchors = [akLeft, akTop, akRight]
        MaxLength = 128
        TabOrder = 9
        OnChange = ebDescChange
      end
      object ebStatus: TEdit
        Left = 64
        Top = 191
        Width = 449
        Height = 21
        Hint = 'Press button at left for an explanation of the status line'
        Anchors = [akLeft, akTop, akRight]
        Color = clBtnFace
        ReadOnly = True
        TabOrder = 11
      end
      object sbStatus: TBitBtn
        Tag = 1
        Left = 35
        Top = 191
        Width = 25
        Height = 25
        Hint = 'Explain ready-status in greater detail'
        TabOrder = 10
        OnClick = sbStatusClick
      end
    end
    object TPage
      Left = 0
      Top = 0
      Caption = 'Shorts'
      object TLabel
        Left = 64
        Top = 32
        Width = 59
        Height = 13
        Caption = '&Old address:'
        FocusControl = ebOldShrt
      end
      object TLabel
        Left = 64
        Top = 96
        Width = 65
        Height = 13
        Caption = '&New address:'
        FocusControl = ebNewShrt
      end
      object lblShort: TLabel
        Left = 64
        Top = 164
        Width = 414
        Height = 41
        Anchors = [akLeft, akTop, akRight]
        AutoSize = False
        WordWrap = True
      end
      object TLabel
        Left = 32
        Top = 52
        Width = 27
        Height = 13
        Alignment = taRightJustify
        Caption = 'Long:'
      end
      object TLabel
        Left = 31
        Top = 76
        Width = 28
        Height = 13
        Alignment = taRightJustify
        Caption = 'Short:'
      end
      object TLabel
        Left = 32
        Top = 116
        Width = 27
        Height = 13
        Alignment = taRightJustify
        Caption = 'Long:'
      end
      object TLabel
        Left = 31
        Top = 140
        Width = 28
        Height = 13
        Alignment = taRightJustify
        Caption = 'Short:'
      end
      object TLabel
        Left = 64
        Top = 8
        Width = 88
        Height = 13
        Caption = 'Short filenames'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object ebOldShrt: TEdit
        Left = 64
        Top = 72
        Width = 414
        Height = 21
        Hint = 'Short (8.3) filename equivalent for the old address'
        Anchors = [akLeft, akTop, akRight]
        CharCase = ecUpperCase
        Color = clBtnFace
        ReadOnly = True
        TabOrder = 1
        OnChange = ebShortChange
      end
      object ebNewShrt: TEdit
        Left = 64
        Top = 136
        Width = 414
        Height = 21
        Hint = 'Short (8.3) filename equivalent for the new address'
        Anchors = [akLeft, akTop, akRight]
        CharCase = ecUpperCase
        Color = clBtnFace
        ReadOnly = True
        TabOrder = 3
        OnChange = ebShortChange
      end
      object cbNoShort: TCheckBox
        Left = 120
        Top = 224
        Width = 145
        Height = 17
        Hint = 'Check this box to skip using short (8.3) filenames'
        Caption = '&Don'#39't use short filenames'
        TabOrder = 4
        OnClick = ebShortChange
      end
      object btnBack1: TBitBtn
        Left = 8
        Top = 224
        Width = 105
        Height = 57
        Hint = 'Go back to the starting page and re-enter filenames'
        Caption = '&Back'
        TabOrder = 5
        OnClick = btnBack1Click
        Margin = 2
        NumGlyphs = 2
      end
      object btnChange2: TBitBtn
        Left = 323
        Top = 224
        Width = 105
        Height = 57
        Hint = 'Change old address to new in shortcuts, INI files, and Registry'
        Anchors = [akTop, akRight]
        Caption = '&Change'
        Default = True
        Enabled = False
        TabOrder = 6
        OnClick = btnChange2Click
        Layout = blGlyphRight
        Margin = 2
        NumGlyphs = 2
      end
      object ebOldCopy: TEdit
        Left = 64
        Top = 48
        Width = 414
        Height = 21
        Hint = 'Modern long filename for old address'
        Anchors = [akLeft, akTop, akRight]
        Color = clBtnFace
        ReadOnly = True
        TabOrder = 0
        OnChange = ebShortChange
      end
      object ebNewCopy: TEdit
        Left = 64
        Top = 112
        Width = 414
        Height = 21
        Hint = 'Modern long filename for new address'
        Anchors = [akLeft, akTop, akRight]
        Color = clBtnFace
        ReadOnly = True
        TabOrder = 2
        OnChange = ebShortChange
      end
    end
    object TPage
      Left = 0
      Top = 0
      Caption = 'Searching'
      object TLabel
        Left = 64
        Top = 104
        Width = 41
        Height = 13
        Caption = 'Registry:'
      end
      object TLabel
        Left = 64
        Top = 60
        Width = 48
        Height = 13
        Caption = 'Shortcuts:'
      end
      object TLabel
        Left = 64
        Top = 82
        Width = 38
        Height = 13
        Caption = 'INI files:'
      end
      object TLabel
        Left = 152
        Top = 40
        Width = 49
        Height = 13
        Alignment = taRightJustify
        Caption = 'Searched:'
      end
      object TLabel
        Left = 235
        Top = 40
        Width = 46
        Height = 13
        Alignment = taRightJustify
        Caption = 'Changed:'
      end
      object TLabel
        Left = 64
        Top = 8
        Width = 119
        Height = 13
        Caption = 'Changing addresses.'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object pnlRegSearched: TPanel
        Left = 120
        Top = 100
        Width = 81
        Height = 21
        Hint = 'Number of Registry keys scanned'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 4
      end
      object pnlLnkSearched: TPanel
        Left = 120
        Top = 56
        Width = 81
        Height = 21
        Hint = 'Number of shortcuts scanned'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 0
      end
      object pnlIniSearched: TPanel
        Left = 120
        Top = 78
        Width = 81
        Height = 21
        Hint = 'Number of INI files scanned'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 2
      end
      object pnlRegFound: TPanel
        Left = 202
        Top = 100
        Width = 81
        Height = 21
        Hint = 'Number of address changes in the Registry'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 5
      end
      object pnlLnkFound: TPanel
        Left = 202
        Top = 56
        Width = 81
        Height = 21
        Hint = 'Number of address changes in shortcuts'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 1
      end
      object pnlIniFound: TPanel
        Left = 202
        Top = 78
        Width = 81
        Height = 21
        Hint = 'Number of address changes in INI files'
        Alignment = taRightJustify
        BevelOuter = bvLowered
        Caption = '0  '
        TabOrder = 3
      end
      object pnlAnimate: TPanel
        Left = 296
        Top = 56
        Width = 65
        Height = 65
        BevelOuter = bvLowered
        TabOrder = 6
        object anChange: TAnimate
          Left = 1
          Top = 1
          Width = 63
          Height = 63
          Align = alClient
          Active = False
          FileName = 'a:remade.avi'
          StopFrame = 22
        end
      end
    end
    object TPage
      Left = 0
      Top = 0
      Caption = 'Results'
      object pnlReviewUndo: TPanel
        Left = 0
        Top = 199
        Width = 518
        Height = 89
        Align = alBottom
        BevelOuter = bvNone
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnMouseMove = pnlReviewUndoMouseMove
        object btnUndo: TBitBtn
          Left = 7
          Top = 60
          Width = 114
          Height = 26
          Hint = 'Undo changes that are checked in the list above'
          Caption = '&Undo checked'
          Enabled = False
          TabOrder = 0
          OnClick = btnUndoClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnDelRec: TBitBtn
          Left = 129
          Top = 60
          Width = 126
          Height = 26
          Hint = 'Delete the current change record'
          Caption = '&Delete record'
          Enabled = False
          TabOrder = 1
          OnClick = btnDelRecClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnReport: TBitBtn
          Left = 263
          Top = 4
          Width = 105
          Height = 55
          Hint = 'Save a report of the current change record'
          Caption = '&Create'
          Enabled = False
          TabOrder = 2
          OnClick = btnReportClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnPrev: TBitBtn
          Left = 129
          Top = 32
          Width = 126
          Height = 26
          Hint = 'View the previous change record'
          Caption = '&Previous record'
          TabOrder = 3
          OnClick = btnPrevClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnNext: TBitBtn
          Left = 129
          Top = 4
          Width = 126
          Height = 26
          Hint = 'View the next change record'
          Caption = '&Next record'
          Enabled = False
          TabOrder = 4
          OnClick = btnNextClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnToMain: TBitBtn
          Left = 263
          Top = 60
          Width = 105
          Height = 26
          Hint = 'Return to the initial screen'
          Caption = '&Back to main'
          TabOrder = 5
          OnClick = btnToMainClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnAll: TBitBtn
          Tag = 1
          Left = 8
          Top = 4
          Width = 113
          Height = 26
          Hint = 'Check-mark all available changes in the list above'
          Caption = 'Check a&ll'
          TabOrder = 6
          OnClick = btnAllClick
          Margin = 22
        end
        object btnNone: TBitBtn
          Left = 8
          Top = 32
          Width = 113
          Height = 26
          Hint = 'Un-check all available changes in the list above'
          Caption = 'Check n&one'
          TabOrder = 7
          OnClick = btnNoneClick
          Margin = 22
        end
      end
      object lvMain: TListView
        Left = 0
        Top = 50
        Width = 518
        Height = 149
        Align = alClient
        Columns = <
          item
            Caption = 'Location'
            Width = 80
          end
          item
            AutoSize = True
            Caption = 'Old'
          end
          item
            AutoSize = True
            Caption = 'New'
          end>
        ColumnClick = False
        RowSelect = True
        ParentShowHint = False
        ShowHint = True
        SmallImages = ilTypes
        StateImages = ilChecks
        TabOrder = 2
        ViewStyle = vsReport
        OnDblClick = lvMainDblClick
        OnInfoTip = lvMainInfoTip
        OnMouseDown = lvMainMouseDown
      end
      object pnlDescM: TPanel
        Left = 0
        Top = 25
        Width = 518
        Height = 25
        Align = alTop
        Alignment = taLeftJustify
        BevelOuter = bvNone
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
        object pnlRecNum: TPanel
          Left = 0
          Top = 0
          Width = 49
          Height = 25
          Align = alLeft
          Alignment = taLeftJustify
          BevelOuter = bvNone
          Caption = ' none'
          TabOrder = 0
        end
        object pnlDesc: TPanel
          Left = 49
          Top = 0
          Width = 469
          Height = 25
          Align = alClient
          Alignment = taLeftJustify
          BevelOuter = bvNone
          TabOrder = 1
        end
      end
      object TPanel
        Left = 0
        Top = 0
        Width = 518
        Height = 25
        Align = alTop
        Alignment = taLeftJustify
        BevelOuter = bvNone
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        object TLabel
          Left = 64
          Top = 8
          Width = 135
          Height = 13
          Caption = 'Review change records'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold]
          ParentFont = False
        end
      end
    end
    object TPage
      Left = 0
      Top = 0
      Caption = 'ReportTxt'
      object TPanel
        Left = 0
        Top = 0
        Width = 518
        Height = 25
        Align = alTop
        Alignment = taLeftJustify
        BevelOuter = bvNone
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        object TLabel
          Left = 64
          Top = 8
          Width = 71
          Height = 13
          Caption = 'Detail report'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold]
          ParentFont = False
        end
      end
      object pnlReptText: TPanel
        Left = 0
        Top = 215
        Width = 518
        Height = 73
        Align = alBottom
        BevelOuter = bvNone
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
        OnMouseMove = pnlReviewUndoMouseMove
        object btnLaunch: TBitBtn
          Left = 409
          Top = 8
          Width = 105
          Height = 57
          Hint = 'Launch the report in its associated application'
          Anchors = [akTop, akRight]
          Caption = '&Launch'
          TabOrder = 1
          OnClick = btnLaunchClick
          Margin = 2
          NumGlyphs = 2
        end
        object btnBack2: TBitBtn
          Left = 8
          Top = 8
          Width = 105
          Height = 57
          Hint = 'Go back to the starting page and re-enter filenames'
          Caption = '&Back'
          TabOrder = 0
          OnClick = btnBack2Click
          Margin = 2
          NumGlyphs = 2
        end
      end
      object nbRept: TNotebook
        Left = 0
        Top = 25
        Width = 518
        Height = 190
        Align = alClient
        PageIndex = 1
        TabOrder = 2
        object TPage
          Left = 0
          Top = 0
          Caption = 'Text'
          object reRept: TRichEdit
            Left = 0
            Top = 0
            Width = 518
            Height = 190
            Hint = 
              'Click Launch to launch this document in its associated applicati' +
              'on'
            Align = alClient
            PlainText = True
            ScrollBars = ssBoth
            TabOrder = 0
            WordWrap = False
          end
        end
        object TPage
          Left = 0
          Top = 0
          Caption = 'HTML'
          object lblRept: TLabel
            Left = 0
            Top = 0
            Width = 33
            Height = 13
            Align = alTop
            Caption = 'lblRept'
            WordWrap = True
          end
        end
      end
    end
    object TPage
      Left = 0
      Top = 0
      Caption = 'ReportHtm'
    end
  end
  object pnlButtons: TPanel
    Left = 0
    Top = 288
    Width = 518
    Height = 35
    Align = alBottom
    BevelOuter = bvNone
    TabOrder = 1
    object Bevel1: TBevel
      Left = 0
      Top = 0
      Width = 518
      Height = 3
      Align = alTop
      Shape = bsTopLine
    end
    object btnClose: TButton
      Left = 7
      Top = 7
      Width = 75
      Height = 25
      Hint = 'Exit the program'
      Cancel = True
      Caption = 'Close'
      TabOrder = 0
      OnClick = btnCloseClick
    end
    object btnHelp: TButton
      Left = 87
      Top = 7
      Width = 75
      Height = 25
      Hint = 'Invoke the help system (F1 for per-screen help)'
      Caption = '&Help'
      TabOrder = 1
      OnClick = btnHelpClick
    end
    object btnAbout: TButton
      Left = 167
      Top = 7
      Width = 75
      Height = 25
      Hint = 'View version and copyright information'
      Caption = '&About...'
      TabOrder = 2
      OnClick = btnAboutClick
    end
  end
  object sbMain: TStatusBar
    Left = 0
    Top = 323
    Width = 518
    Height = 19
    AutoHint = True
    Panels = <>
    SimplePanel = False
  end
  object OpenDialog1: TOpenDialog
    Filter = 'All files|*.*'
    Options = [ofHideReadOnly, ofFileMustExist, ofEnableSizing]
    Left = 336
    Top = 288
  end
  object ilTypes: TImageList
    Left = 368
    Top = 290
  end
  object ilChecks: TImageList
    Left = 304
    Top = 290
    Bitmap = {
      494C010106000900040010001000FFFFFFFFFF10FFFFFFFFFFFFFFFF424D3600
      0000000000003600000028000000400000003000000001002000000000000030
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000080808000808080008080800080808000808080000000
      0000000000000000000000000000000000000000000000000000808080008080
      8000808080008080800080808000808080008080800080808000808080008080
      8000808080008080800080808000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000808080000000800000008000000080000000800000008000808080008080
      8000808080000000000000000000000000000000000000808000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000080808000808080000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      8000000080000000FF000000FF000000FF000000FF000000FF00000080000000
      8000808080008080800000000000000000000080800000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0000000000808080000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000
      FF00000080008080800080808000000000000080800000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0080808000000000008080800000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0000000000808080000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000080000000FF000000
      FF00FFFFFF000000FF000000FF000000FF000000FF000000FF00FFFFFF000000
      FF000000FF000000800080808000000000000080800000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0080808000000000008080800000FFFF0000FFFF0000FF
      FF0000FFFF0000FFFF0000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000080000000FF00FFFF
      FF00FFFFFF00FFFFFF000000FF000000FF000000FF00FFFFFF00FFFFFF00FFFF
      FF000000FF00000080008080800080808000000000000080800000FFFF0000FF
      FF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FFFF0000FF
      FF0000FFFF000000000080808000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000080000000FF000000FF000000
      FF00FFFFFF00FFFFFF00FFFFFF000000FF00FFFFFF00FFFFFF00FFFFFF000000
      FF000000FF000000FF000000800080808000000000000080800000FFFF0000FF
      FF0000FFFF0000FFFF0000FFFF000000000000FFFF0000FFFF0000FFFF0000FF
      FF0000FFFF000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000080000000FF000000FF000000
      FF000000FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF000000FF000000
      FF000000FF000000FF00000080008080800000000000000000000080800000FF
      FF0000FFFF0000FFFF0000808000000000000080800000FFFF0000FFFF0000FF
      FF00000000008080800000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000080000000FF000000FF000000
      FF000000FF000000FF00FFFFFF00FFFFFF00FFFFFF000000FF000000FF000000
      FF000000FF000000FF00000080008080800000000000000000000080800000FF
      FF0000FFFF0000FFFF0000000000000000000000000000FFFF0000FFFF0000FF
      FF00000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000080000000FF000000FF000000
      FF000000FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF000000FF000000
      FF000000FF000000FF0000008000808080000000000000000000000000000080
      800000FFFF0000FFFF0000000000000000000000000000FFFF0000FFFF000000
      0000808080000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000080000000FF000000FF000000
      FF00FFFFFF00FFFFFF00FFFFFF000000FF00FFFFFF00FFFFFF00FFFFFF000000
      FF000000FF000000FF0000008000000000000000000000000000000000000080
      800000FFFF0000FFFF0000000000000000000000000000FFFF0000FFFF000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000080000000FF00FFFF
      FF00FFFFFF00FFFFFF000000FF000000FF000000FF00FFFFFF00FFFFFF00FFFF
      FF000000FF000000800080808000000000000000000000000000000000000000
      00000080800000FFFF0000FFFF000000000000FFFF0000FFFF00000000008080
      8000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000080000000FF000000
      FF00FFFFFF000000FF000000FF000000FF000000FF000000FF00FFFFFF000000
      FF000000FF000000800000000000000000000000000000000000000000000000
      00000080800000FFFF0000FFFF0000FFFF0000FFFF0000FFFF00000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000
      FF00000080000000000000000000000000000000000000000000000000000000
      0000000000000080800000FFFF0000FFFF0000FFFF0000000000808080000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      8000000080000000FF000000FF000000FF000000FF000000FF00000080000000
      8000000000000000000000000000000000000000000000000000000000000000
      0000000000000080800000FFFF0000FFFF0000FFFF0000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000800000008000000080000000800000008000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000808000008080000080800000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000800000008000000080000000800000008000000080000000
      8000000080000000800000000000000000000000000000000000008000000080
      0000008000000080000000800000008000000080000000800000008000000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      80000000800000008000000080000000FF000000FF0000008000000080000000
      8000000080000000800000000000000000000000000000000000008000000080
      000000800000008000000080000000FF000000FF000000800000008000000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      800000008000000080000000FF0000008000000080000000FF00000080000000
      8000000080000000800000000000000000000000000000000000008000000080
      0000008000000080000000FF0000008000000080000000FF0000008000000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000FF00000080000000800000008000000080000000FF000000
      8000000080000000800000000000000000000000000000000000008000000080
      00000080000000FF00000080000000800000008000000080000000FF00000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000080000000
      8000000080000000800000008000000080000000800000008000000080000000
      8000000080000000800000000000000000000000000000000000008000000080
      0000008000000080000000800000008000000080000000800000008000000080
      0000008000000080000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000424D3E000000000000003E000000
      2800000040000000300000000100010000000000800100000000000000000000
      000000000000000000000000FFFFFF0000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000FC1FC00100000000F007800000000000
      E003000000000000C00100000000000080010001000000008000800100000000
      00008003000000000000C003000000000000C007000000000000E00700000000
      0001E00F000000008001F00F000000008003F01F00000000C007F81F00000000
      E00FF83F00000000F83FFC7F00000000FFFFFFFFFFFFFFFF8001800180018001
      BFFDBFFD80018001BFFDBFFD80018001BFFDBFFD80018001BFFDBDFD80018001
      BFFDB8FD80018001BFFDB07D80018001BFFDB23D80018001BFFDB71D80018001
      BFFDBF9D80018001BFFDBFDD80018001BFFDBFFD80018001BFFDBFFD80018001
      8001800180018001FFFFFFFFFFFFFFFF00000000000000000000000000000000
      000000000000}
  end
  object SaveDialog1: TSaveDialog
    Filter = 'Text report|*.TXT|HTML report|*.HTM'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Title = 'Create detail report'
    OnTypeChange = SaveDialog1TypeChange
    Left = 280
    Top = 288
  end
end
